﻿using Hotline.Orders;
using Hotline.Share.Dtos;
using Hotline.Share.Enums.JudicialManagement;
using SqlSugar;

namespace Hotline.JudicialManagement
{
    public class JudicialManagementOrders : Order
    {
        /// <summary>
        /// 是否统计
        /// </summary>
        public bool IsItCounted { get; set; } = true;

        /// <summary>
        /// 工单来源
        /// </summary>
        public EOrderSoure? OrderSoure { get; set; }

        /// <summary>
        /// 执法部门
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public List<Kv> EnforcementOrdersHandler { get; set; }

        /// <summary>
        /// 是否推诿
        /// </summary>
        public bool IsPassTheBuckOrder { get; set; }

        /// <summary>
        /// 线索是否属实
        /// </summary>
        public bool? IsTheClueTrue { get; set; }

        /// <summary>
        /// 诉事项类型ID
        /// </summary>
        public string? EventTypeId { get; set; }

        /// <summary>
        /// 诉事项类型名称
        /// </summary>
        public string? EventTypeName { get; set; }

        /// <summary>
        /// 诉事项类型名称
        /// </summary>
        public string? EventTypeSpliceName { get; set; }

        /// <summary>
        /// 诉事项类型一级Id
        /// </summary>
        public string? EventTypeOneLevelId { get; set; }

    }

}